<h3 *ngIf="!isSidekick()">Hero Sign-up</h3>
<h3 *ngIf="isSidekick()">{{heroName}} sidekick Sign-up</h3>
<div class="alert alert-danger" *ngIf="error">
    <strong>Error!</strong> {{error}}
</div>
<div class="form-group">
    <label>Name</label>
    <input type="text" class="form-control" placeholder="Name" [(ngModel)]="hero.name" required>
</div>
<div class="form-group">
    <label>Age</label>
    <input type="number" class="form-control" title="Age" min="1" [(ngModel)]="hero.age" required>
</div>
<div class="form-group">
    <label>Description</label>
    <textarea class="form-control" placeholder="Description" [(ngModel)]="hero.description" required></textarea>
</div>
<button (click)="createHero()" class="btn btn-primary">Submit</button>
